# Channel | xrpl
Documentation for xrpl

# Interface Channel

#### Hierarchy

- Channel

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:3

#####
Index

### Properties

account
amount
balance
cancel_after?
channel_id
destination_account
destination_tag?
expiration?
public_key?
public_key_hex?
settle_delay
source_tab?

## Properties

### account

account: string

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:4

### amount

amount: string

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:5

### balance

balance: string

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:6

### `Optional` cancel_after

cancel_after?: number

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:13

### channel_id

channel_id: string

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:7

### destination_account

destination_account: string

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:8

### `Optional` destination_tag

destination_tag?: number

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:15

### `Optional` expiration

expiration?: number

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:12

### `Optional` public_key

public_key?: string

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:10

### `Optional` public_key_hex

public_key_hex?: string

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:11

### settle_delay

settle_delay: number

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:9

### `Optional` source_tab

source_tab?: number

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:14

Generated using TypeDoc